﻿using System;
using System.Runtime.Serialization;

namespace Inedo.Consolation
{
    /// <summary>
    /// Represents errors due to invalid console arguments.
    /// </summary>
    [Serializable]
    public sealed class ConsoleArgumentException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ConsoleArgumentException"/> class.
        /// </summary>
        /// <param name="message">The message to display.</param>
        public ConsoleArgumentException(string message)
            : base(message)
        {
        }
        private ConsoleArgumentException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
