﻿using System;

namespace Inedo.Consolation
{
    /// <summary>
    /// Indicates that a method is a console command.
    /// </summary>
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false)]
    public sealed class ConsoleCommandAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ConsoleCommandAttribute"/> class.
        /// </summary>
        public ConsoleCommandAttribute()
        {
        }
    }
}
